# Class ApiRequestException

Namespace
  adas_core.Application.Exceptions

Assembly
  adas-core.Application.dll

Represents errors that occur during API request processing, wrapping a descriptive message.

    public class ApiRequestException : Exception, ISerializable

Inheritance
  object
  Exception
  ApiRequestException

Implements
  ISerializable

Inherited Members
  Exception.GetBaseException()
  Exception.GetType()
  Exception.ToString()
  Exception.Data
  Exception.HelpLink
  Exception.HResult
  Exception.InnerException
  Exception.Message
  Exception.Source
  Exception.StackTrace
  Exception.TargetSite
  Exception.SerializeObjectState
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Constructors

### ApiRequestException(string)

Represents errors that occur during API request processing, wrapping a descriptive message.

    public ApiRequestException(string message)

#### Parameters

`message` string

  The message that describes the error.